Support » Plugin: WordPress Portfolio Plugin (WP Portfolio) » Plugin could not be activated because it triggered a fatal error.

  • Resolved Nick Nikolis

    (@rhodesgreece)


    It worked ok until the last update. I could not login. My installation is multisite. I deleted plugin then login and tried to reactivate with an error.

    Parse error: syntax error, unexpected ‘[‘ in … wp-content/plugins/wp-portfolio/lib/admin_only.inc.php on line 1543

Viewing 2 replies - 1 through 2 (of 2 total)
  • Plugin Author puravida1976

    (@puravida1976)

    Hi Nick,

    You must be running a legacy version of PHP (i.e. like PHP 5.3.29). I also noticed this error in my testing AFTER the update was published. My new dev help was unaware that I prefer to remain backward compatible with legacy PHP whenever possible, even though most companies these days do not make that effort (little jab to the big guys lol).

    Anyway, my dev help pushed an update to revert to the legacy array() notation over the newer array[] notation. So, if you try again now, it should work. 😉

    I tested the update last night and it worked on my legacy test site. Please update with your findings.

    Cheers,

    Brandon

    Thank you, Brandon.

    Best regards

Viewing 2 replies - 1 through 2 (of 2 total)
  • The topic ‘Plugin could not be activated because it triggered a fatal error.’ is closed to new replies.